#!/bin/sh
current_path=`pwd`
exe_name=$0
exe_dir=`dirname $0`
# go to runtime directory to get lib path
cd $exe_dir/..
lib_path=`pwd`/lib
# go to bin directory do get full path of exe dir
cd bin
exe_dir=`pwd`
# go to mcr directory to get full path of mcr
cd ../../tools/mcr/v7141
MCRROOT=`pwd`
# set library path
cd $exe_dir/../../libXp/lib
libxp_path=`pwd`
LD_LIBRARY_PATH={$LD_LIBRARY_PATH}:$libxp_path
cd $exe_dir
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib64/
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/bin/glnxa64 
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/runtime/glnxa64 
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/bin/glnx86 
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/os/glnxa64
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/os/glnx86
MCRJRE64=${MCRROOT}/sys/java/jre/glnxa64/jre/lib/amd64
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE64}/native_threads
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE64}/server
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE64}/client
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE64}
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${lib_path}

XAPPLRESDIR=${MCRROOT}/X11/app-defaults
export LD_LIBRARY_PATH
export XAPPLRESDIR
export MCR_INHIBIT_CTF_LOCK=1
export PATH=$LD_LIBRARY_PATH:$PATH

# finally run monolix
${exe_dir}/mlxinitializer $*
